KSPropDefs (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Class KSPropDefs

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions
  - - org.apache.cassandra.cql3.statements.KSPropDefs

-     public class KSPropDefs
      extends PropertyDefinitions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<java.lang.String>` | `keywords`
    `static java.lang.String` | `KW_DURABLE_WRITES`
    `static java.lang.String` | `KW_REPLICATION`
    `static java.util.Set<java.lang.String>` | `obsoleteKeywords`
    `static java.lang.String` | `REPLICATION_STRATEGY_CLASS_KEY`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KSPropDefs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KSMetaData` | `asKSMetadata(java.lang.String ksName)`
    `KSMetaData` | `asKSMetadataUpdate(KSMetaData old)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getReplicationOptions()`
    `java.lang.String` | `getReplicationStrategyClass()`
    `void` | `validate()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `addProperty, addProperty, getBoolean, getDouble, getInt, getMap, getSimple, getString, hasProperty, toInt, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KW_DURABLE_WRITES

          public static final java.lang.String KW_DURABLE_WRITES

      See Also:
        Constant Field Values

    - #### KW_REPLICATION

          public static final java.lang.String KW_REPLICATION

      See Also:
        Constant Field Values

    - #### REPLICATION_STRATEGY_CLASS_KEY

          public static final java.lang.String REPLICATION_STRATEGY_CLASS_KEY

      See Also:
        Constant Field Values

    - #### keywords

          public static final java.util.Set<java.lang.String> keywords

    - #### obsoleteKeywords

          public static final java.util.Set<java.lang.String> obsoleteKeywords

  - ### Constructor Detail

    - #### KSPropDefs

          public KSPropDefs()

  - ### Method Detail

    - #### validate

          public void validate()
                        throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getReplicationOptions

          public java.util.Map<java.lang.String,java.lang.String> getReplicationOptions()
                                                                                 throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getReplicationStrategyClass

          public java.lang.String getReplicationStrategyClass()

    - #### asKSMetadata

          public KSMetaData asKSMetadata(java.lang.String ksName)
                                  throws RequestValidationException

      Throws:
        `RequestValidationException`

    - #### asKSMetadataUpdate

          public KSMetaData asKSMetadataUpdate(KSMetaData old)
                                        throws RequestValidationException

      Throws:
        `RequestValidationException`

Copyright © 2018 The Apache Software Foundation